Computer Security
[EN] securityvulns.ru no-pyccku


libvirt library multiple security vulnerabilities
Published:28.10.2010
Source:
SecurityVulns ID:11216
Type:library
Threat Level:
6/10
Description:Multiple possibilities to access host resources from guest machine.
Affected:LIBVIRT : libvirt 0.7
 VIRTINST : virtinst 0.500
CVE:CVE-2010-2242 (Red Hat libvirt 0.2.0 through 0.8.2 creates iptables rules with improper mappings of privileged source ports, which allows guest OS users to bypass intended access restrictions by leveraging IP address and source-port values, as demonstrated by copying and deleting an NFS directory tree.)
 CVE-2010-2239 (Red Hat libvirt, possibly 0.6.0 through 0.8.2, creates new images without setting the user-defined backing-store format, which allows guest OS users to read arbitrary files on the host OS via unspecified vectors.)
 CVE-2010-2238 (Red Hat libvirt, possibly 0.7.2 through 0.8.2, recurses into disk-image backing stores without extracting the defined disk backing-store format, which might allow guest OS users to read arbitrary files on the host OS, and possibly have unspecified other impact, via unknown vectors.)
 CVE-2010-2237 (Red Hat libvirt, possibly 0.6.1 through 0.8.2, looks up disk backing stores without referring to the user-defined main disk format, which might allow guest OS users to read arbitrary files on the host OS, and possibly have unspecified other impact, via unknown vectors.)
Original documentdocumentUBUNTU, [USN-1008-1] libvirt vulnerabilities (28.10.2010)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod